Subject: bug#38684: 26.3; toggle menu bar twice may change frame height

From: martin rudalics <[email-masked]>
Date: Fri, 20 Dec 2019 19:29:55 +0100

> If the frame is narrow enough to display the menu bar for current buffer
 > in two lines and wide enough to display the menu bar for minibuffer in
 > one line, toggling menu bar using minibuffer(M-x menu-bar-mode) twice
 > enlarges the frame height.
 >
 >
 > In GNU Emacs 26.3 (build 1, x86_64-w64-mingw32)
 >   of 2019-08-29 built on CIRROCUMULUS
 > Repository revision: 96dd0196c28bc36779584e47fffcca433c9309cd
 > Windowing system distributor 'Microsoft Corp.', version 6.3.9600
 > Recent messages:

Adding 'menu-bar-lines' to 'frame-inhibit-implied-resize' should be
the second best cure for that (setting 'frame-inhibit-implied-resize'
to t being certainly the best).  Other than that, I strongly doubt
that anyone will fix such corner cases.  Or maybe you want to give it
a try?

martin